<template>
     <v-card
     v-if="character != null"
    class="mx-auto my-12"
  >
    <v-avatar size="300">
    <v-img
      :src="character.image"
    ></v-img>
    </v-avatar>

    <v-card-title><h1>{{character.name}}</h1></v-card-title>

    <v-card-text>
     <div class="my-4 text-subtitle-1">
        Gender : <v-icon v-if="character.gender == 'Male'">mdi-gender-male</v-icon>
         <v-icon v-else>mdi-gender-female</v-icon>
      </div>

      <div>Status : <v-chip :color="getColor">{{character.status}}</v-chip></div>
      <div><span>Specie : {{character.species}}</span></div>
      <div> <span>Origin : <v-chip style="cursor: pointer" @click="openOrigin">{{character.origin.name}}</v-chip></span></div>
      <div><span>Location : <v-chip style="cursor: pointer" @click="openLocation">{{character.location.name}}</v-chip></span></div>
    </v-card-text>

    <v-divider class="mx-4"></v-divider>

    <v-card-title>Episodes</v-card-title>

    <v-card-text>
      <v-chip-group 
        active-class="deep-purple accent-4 white--text"
        
      >
        <v-chip v-for="episode in character.episode" :key="episode"><episode-character :episode="episode"/></v-chip>
      </v-chip-group>
    </v-card-text>

    <v-card-actions>
    </v-card-actions>
  </v-card>
</template>
<script>
import episodeCharacter from '../components/cards/Elements/episodeCharacter.vue';
export default {
  components: { episodeCharacter },
    name:"character",
    mounted(){
        this.loadCharacter(this.$route.query.id);
    },
    data: () => ({
        character: null,
    }),
    methods: {
        async loadCharacter(id){
            this.character = await this.$axios.$get('https://rickandmortyapi.com/api/character/' + id);
        },
        openLocation(){
          this.$router.push({name: 'location',query: { id: this.character.location.url.replace('https://rickandmortyapi.com/api/location/', '') },});
        },
        openOrigin(){
          this.$router.push({name: 'location',query: { id: this.character.origin.url.replace('https://rickandmortyapi.com/api/location/', '') },});
        },
    },
    computed:{
         getColor(){
          if(this.character.status == "Alive"){
              return "green";
          }else if(this.character.status == "Dead"){
              return "red";
          }else{
              return "grey";
          }
      },
    }
}
</script>
<style>
</style>